* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

/* root elements */
:root {
    --color1: #ffffff;
    --color2: #cd9042;
    --color3: rgb(215, 214, 214);
    --color4: #007185;


    --bg-nav: #131921;
    --bg-subnav: #232f3e;
    --body-bg: #eaeded;
    --footer-top: #37475A;
    --footer-hover: #405064;
    --margin-auto: 0 auto;
    --mrl: 0 10px;
    --sfs: 12px;
    --bfs: 14px;
    --prl: 0 6px;
}

/* utility classes */
.d-flex {
    display: flex;
}

.jcc {
    justify-content: center;
}

.aic {
    align-items: center;
}

.fdc {
    flex-direction: column;
}

.tac {
    text-align: center;
}

.fww {
    flex-wrap: wrap;
}

.h:hover {
    border: 1px solid var(--color1);
    border-radius: 2px;
}




body {
    background-color: var(--body-bg);
    position: relative;
}

a {
    text-decoration: none;
}

/* nav styling */
nav {
    background-color: var(--bg-nav);
    width: 100%;
    padding: 5px;
    height: 60px;
}


nav .navbrand>a {
    height: 100%;
    width: 100%;
    padding: 5px;
}

.navbar{
    position: fixed;
    z-index: 1;
}

nav .navbrand a>img {
    width: 100px;
    margin: 9px 1px 0 0;
}

nav .navbrand a>span {
    font-size: var(--bfs);
    color: var(--color1);
    font-weight: 400;
}

.navbrand {
    height: 100%;
    width: 120px;
    margin-left: 10px;
}

/* location */
.addr a>i {
    font-size: medium;
    margin: 5px 3px 0px 3px;
    height: 100%;

}

.addr>a {
    color: var(--color1);
    padding: var(--prl);
    height: 100%;
    width: 100%;
}

.addr a>span {
    font-size: var(--sfs);
}

.addr a span>h3 {
    font-size: var(--bfs);
}

.addr {
    margin: var(--mrl);
    height: 100%;
    width: 200px;
}

/* allmenu */
.search>select {
    border-radius: 5px 0 0 5px;
    background-color: var(--color3);
    outline: none;
    border: none;
    padding: 5px;
}

.search {
    flex: 1;
    height: 80%;
    width: 740px;
}

.search>input {
    outline: none;
    border: none;
    padding: 5px;
    width: 100%;
}

.search input::placeholder {
    font-weight: bold;
}

.search>i {
    padding: 10px;
    background-color: var(--color2);
    border-radius: 0 5px 5px 0;
}

/* countryflag */
.countryflag {
    margin: var(--mrl);
    padding: var(--prl);
    height: 100%;
    width: 70px;
}

.countryflag a>span {
    font-weight: bolder;
    margin: 0 2px;
}

.countryflag>a {
    color: var(--color1);
}

/* account and lists */
.acc_li>a {
    color: var(--color1);
    height: 100%;
    width: 100%;
}

.acc_li a>span {
    font-size: var(--sfs);
}

.acc_li a>h3 {
    font-size: var(--bfs);
}

.acc_li {
    margin: var(--mrl);
    padding: var(--prl);
    height: 100%;
    width: 160px;
}

/* returns and orders */
.ret>a {
    color: var(--color1);
    color: var(--color1);
    height: 100%;
    width: 100%;
}

.ret {
    margin: var(--mrl);
    padding: var(--prl);
    height: 100%;
    width: 75px;
}

.ret a>span {
    font-size: var(--sfs);
}

.ret a>h3 {
    font-size: var(--bfs);
}


/* cart */
.cart>a {
    color: var(--color1);
    color: var(--color1);
    height: 100%;
    width: 100%;
}

.cart a>i {
    font-size: medium;
}

.cart a>span {
    margin-left: 5px;
}

.cart {
    margin: var(--mrl);
    padding: var(--prl);
    height: 100%;
    width: 50px
}


/* hamburger menu  */
.active {
    display: none;
    height: 100%;
    width: 50px;
}

.active>.hamburger {
    height: 100%;
    width: 100%;
}

.active .hamburger>i {
    color: var(--color1);
    font-size: 2em;
}


/* subnav  */
.subnav {
    width: 100%;
    background-color: var(--bg-subnav);
    height: 39px;
    position: relative;
    top: 60px;
}

.subnav>ul {
    flex: 1;
    width: 100%;
    list-style: none;
    height: 100%;
}


.subnav ul li>a {
    color: var(--color1);
    margin: 0 10px;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.subnav ul>li {
    height: 100%;
    width: 120px;
    display: flex;
    justify-content: center;

}

.subnav>span {
    height: 100%;
    width: 120px;
}

.subnav span>a {
    color: var(--color1);
    height: 100%;
    width: 100%;
}

.subnav span a>i {
    margin: 0 5px;
}

.subnav ul li:hover {
    border: 1px solid var(--color1);
    border-radius: 2px;
}

/* wrapper  */
.wrapperall {
    width: 100%;
    position: relative;
    overflow: hidden;
    top: 60px;
}

/* banner */
.banner {
    max-width: 1500px;
    margin: 0 auto;
}

.banner>img {
    width: 100%;
    height: 100%;
    mask-image: linear-gradient(180deg, rgba(0, 0, 0, 1), transparent);
    -webkit-mask-image: linear-gradient(180deg, rgba(0, 0, 0, 1), transparent);
}

.banner>.arrow1 {
    position: absolute;
    top: 0;
    right: 0;
    height: 250px;
    width: 80px;
    cursor: pointer;
}

.banner>.arrow2 {
    position: absolute;
    top: 0;
    left: 0;
    height: 250px;
    width: 80px;
    cursor: pointer;
}

.arrow1>a {
    height: 100%;
    width: 100%;
}

.arrow2>a {
    height: 100%;
    width: 100%;
}

.arrow1 a>i {
    padding: 30px;
    font-size: 3em;
    color: var(--bg-nav);
}

.arrow2 a>i {
    padding: 30px;
    font-size: 3em;
    color: var(--bg-nav);
}

.arrow1:focus-within {
    border: 1px solid var(--color1);
}

.arrow2:focus-within {
    border: 1px solid var(--color1);
}



/* product section  */
.product_wrapper {
    max-width: 1480px;
    margin: 0 auto;
    position: relative;
    top: -350px;
}

.product__container {
    width: 100%;
}

.productsection {
    max-width: 1480px;
    margin: var(--margin-auto);
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.pbox {
    height: 420px;
    width: 350px;
    padding: 15px;
    display: flex;
    align-items: center;
    flex-direction: column;
    background: var(--color1);
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.pbox .head>h3 {
    font-size: 21px;
}
.pbox>.head{
    height: 10%;
}

.pbox>.pimg {
    width: 100%;
    height: 85%;
    margin: 10px 0;
    justify-content: space-evenly;
}

.pbox .pimg a>img {
    width: 100%;
    height: 100%;
}

.seemore {
    height: 5%;
    width: 100%;
}

.seemore>a {
    color: var(--color4);
    font-size: var(--sfs);
}

.seemore>a:hover {
    text-decoration: underline;
    color: var(--color2);
}

.mini {
    height: 150px;
    width: 150px;
}

.mini>.miniimg {
    width: 100%;
    height: 80%;
    overflow: hidden;
}

.mini .miniimg>img {
    height: 100%;
    width: 100%;
}

.mini>.minihead {
    padding: 2px;
    font-size: var(--sfs);
    color: #0f1111;
    padding: 3px;
}

.pdbox {
    height: 420px;
    width: 350px;
}

.pdbox>.minisignin {
    width: 100%;
    height: 30%;
    padding: 10px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}


.minisignin>a {
    width: 100%;
    height: 30px;
}

.minisignin a>button {
    height: 100%;
    width: 100%;
    border-radius: 5px;
    margin: 10px;
    border: none;
    outline: none;
    background-color: #e6be1e;
}

.minisignin a>button:hover {
    background-color: var(--color2);
}

.minisignin>h3 {
    font-size: 21px;
}

.miniwindow {
    width: 100%;
    height: 60%;
    margin-top: 42px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border: 10px solid rgb(18, 188, 188);
    overflow: hidden;
}

.miniwindow a>img {
    height: 100%;
    width: 100%;
}


/* signin section */

.sign__section {
    position: absolute;
    bottom: 150px;
    width: 100%;

}

.sign__section>a {
    height: 30px;
    width: 220px;
    margin: 5px 0;
}

.sign__section a>button {
    padding: 10px;
    height: 100%;
    width: 100%;
    font-weight: bold;
    background-color: #e6be1e;
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
}

.sign__section>p {
    font-size: var(--sfs);
}

.sign__section>span {
    font-size: var(--bfs);
}

.sign__section p>a {
    color: var(--color4);
}

.sign__section p>a:hover {
    text-decoration: underline;
}

/* footer */
footer {
    width: 100%;
    background-color: var(--bg-nav);
    position: absolute;
    bottom: -650px;
}

.footertop {
    width: 100%;
    background-color: var(--footer-top);
    text-align: center;
    padding: 10px
}

.footertop>a {
    color: var(--color1);
    font-size: var(--sfs);
}

.footertop:hover {
    background-color: var(--footer-hover);
}

/* footer mid section  */
.container {
    width: 100%;
    background-color: var(--bg-subnav);
}


.wrapper {
    max-width: 1000px;
    margin: var(--margin-auto);
}

.mid {
    width: 100%;
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(4, 1fr);
    padding: 30px;
}

.mid .midsection ul>li {
    font-size: var(--bfs);
    list-style: none;
    color: var(--color1);
    margin: 10px 0;
}

.mid .midsection ul li>a {
    color: var(--color1);

}

.mid .midsection ul li>h3 {
    font-size: 16px;
}

.mid .midsection ul li>a:hover {
    text-decoration: underline;
}

.footerline {
    border-bottom: 1px solid var(--footer-top);
}



/* countries  */
.countries_container {
    background-color: var(--bg-subnav);
}


.cntry {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    padding: 20px;
}

.log_lang {
    width: 100%;
    display: flex;
    justify-content: center;
}

.box {
    width: 150px;
    height: 40px;
    margin: 0 20px;
}

.bb {
    border: 1px solid var(--color1);
    border-radius: 5px;
}

.box>a {
    height: 100%;
    width: 100%;
    color: var(--color1);
}

.box a>img {
    height: 70%;
    width: 50%;
    margin-top: 10px;
}

.icon {
    display: flex;
    flex-direction: column;
    margin: 0 10px;
    font-size: 0.5em;
}

.box a span>i {
    margin: 0 10px;
}

.countries>ul {
    flex-wrap: wrap;
    list-style: none;
    margin: 10px 0;
}

.countries ul li>a {
    font-size: var(--sfs);
    color: var(--color1);
    margin: 0 10px;
}

.countries ul li>a:hover {
    text-decoration: underline;
}


/* bottom footer  */
.footbottom {
    max-width: 1000px;
    margin: var(--margin-auto);
    padding: 20px;
}

.etc {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 30px;
    margin: 20px 0;
}

.etc .etc__content a>.heading {
    color: var(--color1);
    font-size: var(--sfs);
    font-weight: 700;
}

.etc .etc__content a>.con {
    color: var(--color1);
    font-size: var(--sfs);
}

.etc .etc__content a>:hover {
    text-decoration: underline;
}

.tnc>ul {
    list-style: none;
}

.tnc ul li>a {
    font-size: var(--sfs);
    color: var(--color1);
    margin: 0 10px;
}

.tnc ul li>a:hover {
    text-decoration: underline;
}

.copy>p {
    color: var(--color1);
    font-size: var(--sfs);
    margin: 10px 0;
}